gtk-0.12.5.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.General.Settings

Contents

- Class Hierarchy
- Types
- Methods

Description

Storing data on clipboards

Synopsis

- data Settings
- class GObjectClass o => SettingsClass o
- castToSettings :: GObjectClass obj => obj -> Settings
- gTypeSettings :: GType
- toSettings :: SettingsClass o => o -> Settings
- settingsGetDefault :: IO (Maybe Settings)
- settingsGetForScreen :: ScreenClass screen => screen -> IO Settings
- settingsSetLongProperty :: SettingsClass settings => settings -> String -> Int -> String -> IO ()
- settingsSetStringProperty :: SettingsClass settings => settings -> String -> String -> String -> IO ()

# Class Hierarchy

     | GObject
     | +----Settings

# Types

data Settings

Instances

Eq Settings |
Ord Settings |
GObjectClass Settings |
SettingsClass Settings |

class GObjectClass o => SettingsClass o

Instances

SettingsClass Settings |

castToSettings :: GObjectClass obj => obj -> Settings

gTypeSettings :: GType

toSettings :: SettingsClass o => o -> Settings

# Methods

settingsGetDefault

Arguments

:: IO (Maybe Settings) | returns a Settings. If there is no default screen, then returns Nothing.

Gets the Settings object for the default GDK screen, creating it if necessary. See `settingsGetForScreen`.

settingsGetForScreen :: ScreenClass screen => screen -> IO Settings

Gets the Settings object for screen, creating it if necessary.

settingsSetLongProperty :: SettingsClass settings => settings -> String -> Int -> String -> IO ()

settingsSetStringProperty :: SettingsClass settings => settings -> String -> String -> String -> IO ()